Debian Bug report logs - #52351
packaging of xawtv is bizarre!

version graph

Package: xawtv; Maintainer for xawtv is Maximiliano Curia <maxy@debian.org>; Source for xawtv is src:xawtv.

Reported by: Hamish Moffatt <hamish@debian.org>

Date: Thu, 9 Dec 1999 05:20:04 UTC

Severity: wishlist

Found in version 3.02-5

Fixed in version xawtv/3.19

Done: Gerd Knorr <kraxel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Heath <doogie@debian.org>:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
New Bug report received and forwarded. Copy sent to Adam Heath <doogie@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 00:46:47 +1100
Package: xawtv
Version: 3.02-5

The source package for xawtv is bizarre! Is there any reason the
real upstream .tar.gz cannot be the .orig.tar.gz as Debian intends?

The format you have used makes it impossible to make easy tweaks
to the upstream source. I just want to experiment with it a bit.
If I make my changes I would have to repack the source. Ugly.



Hamish
-- 
Hamish Moffatt VK3SB. CCs of replies on mailing lists are welcome.


Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 52351@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: Hamish Moffatt <hamish@debian.org>, 52351@bugs.debian.org
Cc: Debian Devel List <debian-devel@lists.debian.org>
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 00:14:17 -0600 (CST)
On Thu, 9 Dec 1999, Hamish Moffatt wrote:

> The source package for xawtv is bizarre! Is there any reason the
> real upstream .tar.gz cannot be the .orig.tar.gz as Debian intends?

First off, no where is it documented(1) that orig.tar.gz is supposed to be the
same as the upstream tarball.  This has been the common definition of
'pristine' in Debian, but it is documented.

I did it this way(2) so I can have easy(very) separation(3) of patches, and
apply them in lock-step fashion.  Also, when a new upstream comes out, all my
patches are small and separate, and it is easy to see if a particular patch
has been applied upstream.  If so, I just remove it from the patches
directory, and continue on.

> The format you have used makes it impossible to make easy tweaks
> to the upstream source. I just want to experiment with it a bit.
> If I make my changes I would have to repack the source. Ugly.

On the contrary.  This system is current in use by 24(4) debian
packages, not all of which are mine.

==
dpkg-source -x foo*.dsc
cd foo-#.##/
chmod +x debian/sys-build.mk    (this isn't absolutely nescessary)
debian/sys-build.mk source.make
cd build-tree/foo-#.##/
(edit source, change lots of files)
cd ../..
debian/rules make-diff
mv debian.diff debian/patches/###_my_uber_elite_jiz_thingamabob.diff
==

The ### in the diff name is not absolutely nescessary, as it is only used to
make sure the patches apply in a particular order(I |sort internally).

Yes, I do agree that the first time you see a source package modfied this way
it is a shock.  But once you get over the learning curve, there is no going
back.  I even have a script that can take a .dsc and convert it to this split,
delayed patch handling system.

Also, the point about .orig.tar.gz != upstream .tar.gz being true will be
addressed during christmas vacation.  I have had an idea of how to make this
all work when only one upstream tarball exists, but haven't had enough time to
implement it.

----BEGIN GEEK CODE BLOCK----
Version: 3.12
GCS d- s: a-- c+++ UL++++ P+ L++++ !E W+ M o+ K- W--- !O M- !V PS--
PE++ Y+ PGP++ t* 5++ X+ tv b+ D++ G e h*! !r z?
-----END GEEK CODE BLOCK-----
----BEGIN PGP INFO----
Adam Heath <doogie@debian.org>        Finger Print | KeyID
67 01 42 93 CA 37 FB 1E    63 C9 80 1D 08 CF 84 0A | DE656B05 PGP
AD46 C888 F587 F8A3 A6DA  3261 8A2C 7DC2 8BD4 A489 | 8BD4A489 GPG
-----END PGP INFO-----

1: packaging-manual, version 3.1.1.1, section 3.
   debian-policy, version 3.1.1.1, section 2.4.

2: Actually, Branden Robinson, the XFree86 maintainer, came on irc one day 
   back in the spring, asking for help in designing a new source management
   system.  After a 2 day weekend, I had this system mostly finished, and
   after another week of tweaking, it was mostly done(the work on it didn't
   stagnant at that point, tho).

3: For X(yes, using this as an example again), there are currently 77 separate
   patch files, containing 27458 lines of diffs, and taking up 841641 bytes.
   If that were one HUGE .diff.gz, think how hard it would be to port to each
   new upstream release.  With them all separate, it makes it easy to drop a
   particular patch when it has been included upstream(or, to send a patch
   upstream).  I don't think anyone would want to handle that as one huge
   diff.

4: doogie@master $ time find /debian2/debian/dists/potato/ -name
   '*.diff.gz'|xargs -n 100 zgrep -l 'sys-build.mk'|wc
        24      24    1686

   Yes, 24 separate source packages using my system.  This does not include
   packages that contain similiar source management systems(glibc and gcc/egcs
   come to mind).


ps: note how big packages are being maintained with patches/tarballs handled
    separately.



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath <doogie@debian.org>:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Heath <doogie@debian.org>. Full text and rfc822 format available.

Message #15 received at 52351@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Adam Heath <doogie@debian.org>, 52351@bugs.debian.org
Cc: Debian Devel List <debian-devel@lists.debian.org>
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 18:00:40 +1100
On Thu, Dec 09, 1999 at 12:14:17AM -0600, Adam Heath wrote:
> On Thu, 9 Dec 1999, Hamish Moffatt wrote:
> 
> > The source package for xawtv is bizarre! Is there any reason the
> > real upstream .tar.gz cannot be the .orig.tar.gz as Debian intends?
> 
> First off, no where is it documented(1) that orig.tar.gz is supposed to be the
> same as the upstream tarball.  This has been the common definition of
> 'pristine' in Debian, but it is documented.

I can see the purpose of this method. It's a good idea I suppose.

> ==
> dpkg-source -x foo*.dsc
> cd foo-#.##/
> chmod +x debian/sys-build.mk    (this isn't absolutely nescessary)
> debian/sys-build.mk source.make
> cd build-tree/foo-#.##/
> (edit source, change lots of files)
> cd ../..
> debian/rules make-diff
> mv debian.diff debian/patches/###_my_uber_elite_jiz_thingamabob.diff
> ==

Can you document this in the debian/ or root directory of the source
then? That would help to avoid confusion like mine.


Thanks for the helpful reply.


Hamish
-- 
Hamish Moffatt VK3SB. CCs of replies on mailing lists are welcome.


Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 52351@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: Hamish Moffatt <hamish@debian.org>
Cc: Adam Heath <doogie@debian.org>, 52351@bugs.debian.org, Debian Devel List <debian-devel@lists.debian.org>
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 01:30:54 -0600 (CST)
On Thu, 9 Dec 1999, Hamish Moffatt wrote:

> On Thu, Dec 09, 1999 at 12:14:17AM -0600, Adam Heath wrote:
> > On Thu, 9 Dec 1999, Hamish Moffatt wrote:
> > 
> > > The source package for xawtv is bizarre! Is there any reason the
> > > real upstream .tar.gz cannot be the .orig.tar.gz as Debian intends?
> > 
> > First off, no where is it documented(1) that orig.tar.gz is supposed to be the
> > same as the upstream tarball.  This has been the common definition of
> > 'pristine' in Debian, but it is documented.
> 
> I can see the purpose of this method. It's a good idea I suppose.

It gets better.  Come christmas break, I might implement a new dpkg-source,
that does all this for you.  There will probably be a dpkg-genpatch cmd added,
to take the place of debian/sys-build.mk make-diff.

> > ==
> > dpkg-source -x foo*.dsc
> > cd foo-#.##/
> > chmod +x debian/sys-build.mk    (this isn't absolutely nescessary)
> > debian/sys-build.mk source.make
> > cd build-tree/foo-#.##/
> > (edit source, change lots of files)
> > cd ../..
> > debian/rules make-diff
> > mv debian.diff debian/patches/###_my_uber_elite_jiz_thingamabob.diff
> > ==
> 
> Can you document this in the debian/ or root directory of the source
> then? That would help to avoid confusion like mine.

I guess I should add a debian/dbs.readme to dbs_make, that explains this.

> Thanks for the helpful reply.

No prob.

----BEGIN GEEK CODE BLOCK----
Version: 3.12
GCS d- s: a-- c+++ UL++++ P+ L++++ !E W+ M o+ K- W--- !O M- !V PS--
PE++ Y+ PGP++ t* 5++ X+ tv b+ D++ G e h*! !r z?
-----END GEEK CODE BLOCK-----
----BEGIN PGP INFO----
Adam Heath <doogie@debian.org>        Finger Print | KeyID
67 01 42 93 CA 37 FB 1E    63 C9 80 1D 08 CF 84 0A | DE656B05 PGP
AD46 C888 F587 F8A3 A6DA  3261 8A2C 7DC2 8BD4 A489 | 8BD4A489 GPG
-----END PGP INFO-----



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath <doogie@debian.org>:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Heath <doogie@debian.org>. Full text and rfc822 format available.

Message #25 received at 52351@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Adam Heath <doogie@debian.org>
Cc: 52351@bugs.debian.org, Debian Devel List <debian-devel@lists.debian.org>
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 18:34:25 +1100
On Thu, Dec 09, 1999 at 01:30:54AM -0600, Adam Heath wrote:
> > Can you document this in the debian/ or root directory of the source
> > then? That would help to avoid confusion like mine.
> 
> I guess I should add a debian/dbs.readme to dbs_make, that explains this.

I suggest that the bug be closed when the documentation is in
the source -- does that sound reasonable?


Hamish
-- 
Hamish Moffatt VK3SB. CCs of replies on mailing lists are welcome.


Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #30 received at 52351@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: Hamish Moffatt <hamish@debian.org>
Cc: 52351@bugs.debian.org, Debian Devel List <debian-devel@lists.debian.org>
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 01:45:06 -0600 (CST)
On Thu, 9 Dec 1999, Hamish Moffatt wrote:

> On Thu, Dec 09, 1999 at 01:30:54AM -0600, Adam Heath wrote:
> > > Can you document this in the debian/ or root directory of the source
> > > then? That would help to avoid confusion like mine.
> > 
> > I guess I should add a debian/dbs.readme to dbs_make, that explains this.
> 
> I suggest that the bug be closed when the documentation is in
> the source -- does that sound reasonable?

I'll add the readme, but not close the bug.  I want to leave it open for now,
incase anyone else has questions on dbs.  I'll just refer them to #52351(I
knew that someday someone would ask about this).

I'll close it when I have a proper dpkg-source implementation.

----BEGIN GEEK CODE BLOCK----
Version: 3.12
GCS d- s: a-- c+++ UL++++ P+ L++++ !E W+ M o+ K- W--- !O M- !V PS--
PE++ Y+ PGP++ t* 5++ X+ tv b+ D++ G e h*! !r z?
-----END GEEK CODE BLOCK-----
----BEGIN PGP INFO----
Adam Heath <doogie@debian.org>        Finger Print | KeyID
67 01 42 93 CA 37 FB 1E    63 C9 80 1D 08 CF 84 0A | DE656B05 PGP
AD46 C888 F587 F8A3 A6DA  3261 8A2C 7DC2 8BD4 A489 | 8BD4A489 GPG
-----END PGP INFO-----



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath <doogie@debian.org>:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Joost Kooij <joost@pc47.mpn.cp.philips.com>:
Extra info received and forwarded to list. Copy sent to Adam Heath <doogie@debian.org>. Full text and rfc822 format available.

Message #35 received at 52351@bugs.debian.org (full text, mbox):

From: Joost Kooij <joost@pc47.mpn.cp.philips.com>
To: Adam Heath <doogie@debian.org>, 52351@bugs.debian.org
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 15:32:52 +0100 (CET)
Hi,

On Thu, 9 Dec 1999, Adam Heath wrote:

> I'll add the readme, but not close the bug.  I want to leave it open for now,
> incase anyone else has questions on dbs.  I'll just refer them to #52351(I
> knew that someday someone would ask about this).

Please use Severity: fixed instead of just leaving it open and polluting
the Bug Tracking System statistics.

> I'll close it when I have a proper dpkg-source implementation.

Nice to hear there's work being done on that.  Separation of pure-Debian
patches (like debian/control) and package-specific patches (fixes, added
docs) and maybe an optional part with locally kept site patches (local
customizations and tweaks) would be neat.

How about -whatever the way multiple sources and patches get implemented-
having standardized targets in debian/rules to unpack and apply multiple
sources and patches?

Cheers,


Joost





Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath <doogie@debian.org>:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Jules Bean <jmlb2@hermes.cam.ac.uk>:
Extra info received and forwarded to list. Copy sent to Adam Heath <doogie@debian.org>. Full text and rfc822 format available.

Message #40 received at 52351@bugs.debian.org (full text, mbox):

From: Jules Bean <jmlb2@hermes.cam.ac.uk>
To: Adam Heath <doogie@debian.org>
Cc: Hamish Moffatt <hamish@debian.org>, 52351@bugs.debian.org, Debian Devel List <debian-devel@lists.debian.org>, recipient list not shown: ;
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 14:46:27 +0000 (GMT)
On Thu, 9 Dec 1999, Adam Heath wrote:

> On Thu, 9 Dec 1999, Hamish Moffatt wrote:
> 
> > The source package for xawtv is bizarre! Is there any reason the
> > real upstream .tar.gz cannot be the .orig.tar.gz as Debian intends?
> 
> First off, no where is it documented(1) that orig.tar.gz is supposed to be the
> same as the upstream tarball.  This has been the common definition of
> 'pristine' in Debian, but it is documented.

Adam, colour me stupid, but I'm confused.

I have been aware of your separate patches system for a while, and glibc
uses something similar, and I understood that it was good :-)

But I don't understand why you don't use a pristine .orig.tar.gz!  I would
expect something like this:

foo.orig.tar.gz - upstream source
foo.diff.gz - debian diff, includes debian/ directory and debian/patches
directory, but nothing else.

Could you briefly explain what I'm missing?

Jules

/----------------+-------------------------------+---------------------\
|  Jelibean aka  | jules@jellybean.co.uk         |  6 Evelyn Rd	       |
|  Jules aka     | jules@debian.org              |  Richmond, Surrey   |
|  Julian Bean   | jmlb2@hermes.cam.ac.uk        |  TW9 2TF *UK*       |
+----------------+-------------------------------+---------------------+
|  War doesn't demonstrate who's right... just who's left.             |
|  When privacy is outlawed... only the outlaws have privacy.          |
\----------------------------------------------------------------------/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #45 received at 52351@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: Jules Bean <jmlb2@hermes.cam.ac.uk>, 52351@bugs.debian.org
Cc: Debian Devel List <debian-devel@lists.debian.org>
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 09:06:45 -0600 (CST)
On Thu, 9 Dec 1999, Jules Bean wrote:

> On Thu, 9 Dec 1999, Adam Heath wrote:
> 
> > On Thu, 9 Dec 1999, Hamish Moffatt wrote:
> > 
> > > The source package for xawtv is bizarre! Is there any reason the
> > > real upstream .tar.gz cannot be the .orig.tar.gz as Debian intends?
> > 
> > First off, no where is it documented(1) that orig.tar.gz is supposed to be the
> > same as the upstream tarball.  This has been the common definition of
> > 'pristine' in Debian, but it is documented.
> 
> Adam, colour me stupid, but I'm confused.
> 
> I have been aware of your separate patches system for a while, and glibc
> uses something similar, and I understood that it was good :-)
> 
> But I don't understand why you don't use a pristine .orig.tar.gz!  I would
> expect something like this:
> 
> foo.orig.tar.gz - upstream source
> foo.diff.gz - debian diff, includes debian/ directory and debian/patches
> directory, but nothing else.
> 
> Could you briefly explain what I'm missing?

Ok, I should have explained this better.

XFree86's orig.tar.gz is not pristine.  To make XFree86, Branden has to fetch
the X333.tgz, and X333-3331.diff.gz.  So the first version that was done
didn't have this as one of its design goals.  I never fixed it.

I have ideas in my head of how to fix it, but haven't had time.  That is what
my upcoming christmas break will be for.

----BEGIN GEEK CODE BLOCK----
Version: 3.12
GCS d- s: a-- c+++ UL++++ P+ L++++ !E W+ M o+ K- W--- !O M- !V PS--
PE++ Y+ PGP++ t* 5++ X+ tv b+ D++ G e h*! !r z?
-----END GEEK CODE BLOCK-----
----BEGIN PGP INFO----
Adam Heath <doogie@debian.org>        Finger Print | KeyID
67 01 42 93 CA 37 FB 1E    63 C9 80 1D 08 CF 84 0A | DE656B05 PGP
AD46 C888 F587 F8A3 A6DA  3261 8A2C 7DC2 8BD4 A489 | 8BD4A489 GPG
-----END PGP INFO-----



Information forwarded to debian-bugs-dist@lists.debian.org, Adam Heath <doogie@debian.org>:
Bug#52351; Package xawtv. Full text and rfc822 format available.

Acknowledgement sent to Ben Collins <bcollins@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Heath <doogie@debian.org>. Full text and rfc822 format available.

Message #50 received at 52351@bugs.debian.org (full text, mbox):

From: Ben Collins <bcollins@debian.org>
To: Jules Bean <jmlb2@hermes.cam.ac.uk>
Cc: Adam Heath <doogie@debian.org>, Hamish Moffatt <hamish@debian.org>, 52351@bugs.debian.org, Debian Devel List <debian-devel@lists.debian.org>
Subject: Re: Bug#52351: packaging of xawtv is bizarre!
Date: Thu, 9 Dec 1999 10:16:03 -0500
On Thu, Dec 09, 1999 at 02:46:27PM +0000, Jules Bean wrote:
> On Thu, 9 Dec 1999, Adam Heath wrote:
> 
> foo.orig.tar.gz - upstream source
> foo.diff.gz - debian diff, includes debian/ directory and debian/patches
> directory, but nothing else.
> 
> Could you briefly explain what I'm missing?

Joel doesn't even do that for glibc. It's called "multiple source
tarballs". The same with apache (which uses Adam's system). It allows for
several pristine tarballs in a single source. With our current system,
that is impossible.

-- 
 -----------=======-=-======-=========-----------=====------------=-=------
/  Ben Collins  --  ...on that fantastic voyage...  --  Debian GNU/Linux   \
`     bcollins@debian.org  -  collinbm@djj.state.va.us  -  bmc@visi.net    '
 `---=========------=======-------------=-=-----=-===-======-------=--=---'


Severity set to `wishlist'. Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Gerd Knorr <kraxel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hamish Moffatt <hamish@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #57 received at 52351-close@bugs.debian.org (full text, mbox):

From: Gerd Knorr <kraxel@debian.org>
To: 52351-close@bugs.debian.org
Subject: Bug#52351: fixed in xawtv 3.19
Date: Wed, 23 Aug 2000 14:53:27 -0400
We believe that the bug you reported is fixed in the latest version of
xawtv, which has been installed in the Debian FTP archive:
webcam_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/net/webcam_3.19.deb
  replacing webcam_3.07-2.deb
radio_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/sound/radio_3.19.deb
  replacing radio_3.07-2.deb
alevtd_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/graphics/alevtd_3.19.deb
fbtv_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/graphics/fbtv_3.19.deb
  replacing fbtv_3.07-2.deb
streamer_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/graphics/streamer_3.19.deb
  replacing streamer_3.07-2.deb
xawtv_3.19.tar.gz
  to dists/woody/main/source/x11/xawtv_3.19.tar.gz
  replacing xawtv_3.07.orig.tar.gz
xawtv-tools_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/graphics/xawtv-tools_3.19.deb
  replacing xawtv-tools_3.07-2.deb
v4l-conf_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/graphics/v4l-conf_3.19.deb
xawtv_3.19.dsc
  to dists/woody/main/source/x11/xawtv_3.19.dsc
  replacing xawtv_3.07-2.dsc
xawtv_3.19_powerpc.deb
  to dists/woody/main/binary-powerpc/x11/xawtv_3.19.deb
  replacing xawtv_3.07-2.deb

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 52351@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerd Knorr <kraxel@debian.org> (supplier of updated xawtv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Sun, 20 Aug 2000 23:47:15 +0200
Source: xawtv
Binary: webcam radio alevtd xawtv-tools v4l-conf fbtv xawtv streamer
Architecture: source powerpc
Version: 3.19
Distribution: unstable
Urgency: low
Maintainer: Gerd Knorr <kraxel@debian.org>
Description: 
 alevtd     - http daemon for videotext pages
 fbtv       - linux console (fbcon) TV application
 radio      - ncurses-bases radio application
 streamer   - capture tool (images / movies)
 v4l-conf   - tool to configure video4linux drivers
 webcam     - capture and upload images
 xawtv      - X11 TV application
 xawtv-tools - Miscelaenous tools distributed with xawtv
Closes: 48118 52351 52538 54906 55956 57161 61590 61698 64064 65802
Changes: 
 xawtv (3.19) unstable; urgency=low
 .
   * new release.  Starting with this release /me maintains debian package,
     i.e. xawtv is a native debian package now.  Going to close a number of
     bugs...
   * closes: #48118 - not xawtv's fault, it is a driver problem.
   * closes: #52538 - This can be changed with keypad-ntsc in ~/.xawtv,
     see man-page.  Don't remember which version introduces this, seems
     I forgot this one in the Changes file...
   * closes: #54906 - It's not a bug, it's a feature.  xawtv uses the
     maximun size supported by the driver which is 844x576 with bttv.
     If one needs a fixed 4:3 aspect ratio, this can be set in the
     config file (>= version 3.14)
   * closes: #55956 - same as 54906 ...
   * closes: #57161, #52351 (packaging is completely different)
   * closes: #61590 - was fixed in 3.11
   * closes: #61698, #65802 - bug in the 2.2.x kernel bttv driver
   * closes: #64064 - this is newer than 3.14 :-)
Files: 
 1ab7bb65e9a7cc3f135dfea4fbb3c729 589 graphics extra xawtv_3.19.dsc
 b5dd376b9e30144d6aff6b27cf3b6b6e 356257 graphics extra xawtv_3.19.tar.gz
 702a8345a9574e8e46809cb6709e84dc 221990 x11 extra xawtv_3.19_powerpc.deb
 40ffcf3fed1c31747af59df099540c7f 55744 graphics extra fbtv_3.19_powerpc.deb
 823cc27353d1b4311d93af44a8700c72 47158 graphics extra streamer_3.19_powerpc.deb
 da1d9bd8298ca033213688fe65292c7f 8860 sound extra radio_3.19_powerpc.deb
 1f49bd6ae067d86b3a1c896eece3b717 11286 graphics extra v4l-conf_3.19_powerpc.deb
 9d54bc28ddc30d6fe0a1ed26783dba4d 20650 graphics extra xawtv-tools_3.19_powerpc.deb
 84d71f3f657499aed7cb10a9001cf84d 14452 graphics extra webcam_3.19_powerpc.deb
 d8a355fd9e5f291466f89baf67bdfe4a 30758 graphics extra alevtd_3.19_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.1 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE5o235AXyjIpYotQIRAq4QAKCSuwwmMysM/KMXgL0rFIiraSbtQwCgmewF
AAum/eL5eoL/KAG/UxiwdUc=
=Qb2u
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:54:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.